Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives.adapters
Class FloatListIteratorListIterator

    java.lang.Object
      org.apache.commons.collections.primitives.adapters.FloatListIteratorListIterator

All Implemented Interfaces:
  Iterator, ListIterator

public class FloatListIteratorListIterator
extends Object
implements ListIterator

Adapts an `FloatListIterator` to the `ListIterator` interface.

This implementation delegates most methods to the provided `FloatListIterator` implementation in the "obvious" way.

Since:
  Commons Primitives 1.0
Version:
  $Revision: 1.3 $ $Date: 2003/10/16 20:49:39 $
Author:
  Rodney Waldhoff

Constructor Summary
`FloatListIteratorListIterator(FloatListIterator iterator)` Creates an `ListIterator` wrapping the specified `FloatListIterator`.

Method Summary
`void` | `add(Object obj)`
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`Object` | `next()`
`int` | `nextIndex()`
`Object` | `previous()`
`int` | `previousIndex()`
`void` | `remove()`
`void` | `set(Object obj)`
`static ListIterator` | `wrap(FloatListIterator iterator)` Create a `ListIterator` wrapping the specified `FloatListIterator`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatListIteratorListIterator

    public FloatListIteratorListIterator(FloatListIterator iterator)

  Creates an `ListIterator` wrapping the specified `FloatListIterator`.

See Also:
  `wrap(org.apache.commons.collections.primitives.FloatListIterator)`

Method Detail

### wrap

    public static ListIterator wrap(FloatListIterator iterator)

  Create a `ListIterator` wrapping the specified `FloatListIterator`. When the given iterator is `null`, returns `null`.

  Parameters:
    `iterator` - the (possibly `null`) `FloatListIterator` to wrap
  Returns:
    a `ListIterator` wrapping the given iterator, or `null` when iterator is `null`.

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `ListIterator`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `ListIterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `ListIterator`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `ListIterator`

### next

    public Object next()

  Specified by:
    `next` in interface `ListIterator`

### previous

    public Object previous()

  Specified by:
    `previous` in interface `ListIterator`

### add

    public void add(Object obj)

  Specified by:
    `add` in interface `ListIterator`

### set

    public void set(Object obj)

  Specified by:
    `set` in interface `ListIterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `ListIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.